
User Interface - Bug #2729

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

alert-box usage is broken

09/22/2015 02:19 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Feature #2560: implement GUI DIALOG-BOX support Closed 04/29/2015

History

#1 - 09/22/2015 02:21 PM - Greg Shah

See #1811-1258 and #1811-1262

The recreate is available via editorWidget.p program in note 1262.

#2 - 09/29/2015 01:37 PM - Greg Shah

- Assignee set to Hynek Cihlar

If this is alert-box related, please resolve it as part of #2560 (if your other fixes for alert-box don't already fix it).

If it is not alert-box related, then do let me know and I may reassign it.

#3 - 10/13/2015 02:37 PM - Greg Shah

Please also test/fix the code in #1801-76 which is another abend (hopefully related).

#4 - 10/19/2015 11:44 AM - Hynek Cihlar

Alert-box has been fixed with task branch 2560a and checked in to trunk as revision 10948.

#5 - 10/19/2015 05:37 PM - Greg Shah

Something is wrong.  I cannot recreate your success.

Using the trunk rev 10948 (which has the alert-box fixes) I tried to run simpler_alert_box.p, which is this code:

message "Hello World!" 

        update res as logical view-as alert-box information buttons yes-no.

message "Result =" res.

 

It abends with this:

Oct 19, 2015 5:34:12 PM Dispatcher.processInbound() 

SEVERE: {main} Unexpected throwable.
java.lang.reflect.InvocationTargetException

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:497)

        at com.goldencode.p2j.util.MethodInvoker.invoke(MethodInvoker.java:76)

        at com.goldencode.p2j.net.Dispatcher.processInbound(Dispatcher.java:705)

        at com.goldencode.p2j.net.Conversation.block(Conversation.java:319)

        at com.goldencode.p2j.net.Conversation.waitMessage(Conversation.java:257)

        at com.goldencode.p2j.net.Queue.transactImpl(Queue.java:1128)

        at com.goldencode.p2j.net.Queue.transact(Queue.java:585)

        at com.goldencode.p2j.net.BaseSession.transact(BaseSession.java:223)

        at com.goldencode.p2j.net.HighLevelObject.transact(HighLevelObject.java:163)

        at com.goldencode.p2j.net.RemoteObject$RemoteAccess.invokeCore(RemoteObject.java:1425)

        at com.goldencode.p2j.net.InvocationStub.invoke(InvocationStub.java:97)

        at com.sun.proxy.$Proxy4.standardEntry(Unknown Source)

        at com.goldencode.p2j.main.ClientCore.start(ClientCore.java:277)

        at com.goldencode.p2j.main.ClientCore.start(ClientCore.java:100)

        at com.goldencode.p2j.main.ClientDriver.start(ClientDriver.java:201)

        at com.goldencode.p2j.main.CommonDriver.process(CommonDriver.java:398)

        at com.goldencode.p2j.main.ClientDriver.process(ClientDriver.java:95)

        at com.goldencode.p2j.main.ClientDriver.main(ClientDriver.java:267)

Caused by: java.lang.NullPointerException

        at com.goldencode.p2j.ui.client.UiUtils.getData(UiUtils.java:801)

        at com.goldencode.p2j.ui.client.gui.AlertBoxGuiImpl.createIconWidget(AlertBoxGuiImpl.java:333)

        at com.goldencode.p2j.ui.client.gui.AlertBoxGuiImpl.init(AlertBoxGuiImpl.java:290)

        at com.goldencode.p2j.ui.client.gui.AlertBoxGuiImpl.<init>(AlertBoxGuiImpl.java:118)

        at com.goldencode.p2j.ui.client.gui.GuiWidgetFactory.createAlertBox(GuiWidgetFactory.java:324)

        at com.goldencode.p2j.ui.client.gui.GuiWidgetFactory.createAlertBox(GuiWidgetFactory.java:77)

        at com.goldencode.p2j.ui.chui.ThinClient$12.run(ThinClient.java:6706)

        at com.goldencode.p2j.ui.chui.ThinClient.eventBracket(ThinClient.java:13685)

        at com.goldencode.p2j.ui.chui.ThinClient.eventBracket(ThinClient.java:13658)

        at com.goldencode.p2j.ui.chui.ThinClient.messageBox(ThinClient.java:6700)

        ... 21 more

#6 - 10/19/2015 05:52 PM - Hynek Cihlar

Greg Shah wrote:

Something is wrong.  I cannot recreate your success.
Using the trunk rev 10948 (which has the alert-box fixes) I tried to run simpler_alert_box.p, which is this code:

[...]

It abends with this:

[...]

 

It looks like you don't have the icon files on classpath. There are png files in src/com/goldencode/p2j/ui/client/gui. For example error.png.

#7 - 10/19/2015 05:54 PM - Greg Shah

They should always be loaded from the jar itself.  We won't expect users to distribute our icons in the file system.  The jar is enough for all our other

images.  Please fix it.

#8 - 10/19/2015 06:03 PM - Hynek Cihlar

Greg Shah wrote:

They should always be loaded from the jar itself.  We won't expect users to distribute our icons in the file system.  The jar is enough for all our

other images.  Please fix it.

 

I see, build.xml probably doesn't include the icon files in the jar. I will fix this.

#9 - 10/20/2015 12:02 PM - Hynek Cihlar

Hynek Cihlar wrote:

Greg Shah wrote:

They should always be loaded from the jar itself.  We won't expect users to distribute our icons in the file system.  The jar is enough for all

our other images.  Please fix it.

 

I see, build.xml probably doesn't include the icon files in the jar. I will fix this.

 

The image files are included in build.xml. Checked in to #1811s revision 11001.
#10 - 10/20/2015 12:56 PM - Greg Shah

OK, this is now the result.  It is the same as #2756 and #1811-1546

Oct 20, 2015 12:46:28 PM Dispatcher.processInbound() 

SEVERE: {main} Unexpected throwable.

java.lang.reflect.InvocationTargetException

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:497)

        at com.goldencode.p2j.util.MethodInvoker.invoke(MethodInvoker.java:76)

        at com.goldencode.p2j.net.Dispatcher.processInbound(Dispatcher.java:705)

        at com.goldencode.p2j.net.Conversation.block(Conversation.java:319)

        at com.goldencode.p2j.net.Conversation.waitMessage(Conversation.java:257)

        at com.goldencode.p2j.net.Queue.transactImpl(Queue.java:1128)

        at com.goldencode.p2j.net.Queue.transact(Queue.java:585)

        at com.goldencode.p2j.net.BaseSession.transact(BaseSession.java:223)

        at com.goldencode.p2j.net.HighLevelObject.transact(HighLevelObject.java:163)

        at com.goldencode.p2j.net.RemoteObject$RemoteAccess.invokeCore(RemoteObject.java:1425)

        at com.goldencode.p2j.net.InvocationStub.invoke(InvocationStub.java:97)

        at com.sun.proxy.$Proxy4.standardEntry(Unknown Source)

        at com.goldencode.p2j.main.ClientCore.start(ClientCore.java:277)

        at com.goldencode.p2j.main.ClientCore.start(ClientCore.java:100)

        at com.goldencode.p2j.main.ClientDriver.start(ClientDriver.java:201)

        at com.goldencode.p2j.main.CommonDriver.process(CommonDriver.java:398)

        at com.goldencode.p2j.main.ClientDriver.process(ClientDriver.java:95)

        at com.goldencode.p2j.main.ClientDriver.main(ClientDriver.java:267)

Caused by: java.lang.RuntimeException: No renderer is registered for id = -1

        at com.goldencode.p2j.ui.client.gui.driver.GuiPrimitivesImpl.getWindowEmulator(GuiPrimitivesImpl.java:

208)

        at com.goldencode.p2j.ui.client.gui.driver.GuiPrimitivesImpl.selectWindow(GuiPrimitivesImpl.java:275)

        at com.goldencode.p2j.ui.client.gui.driver.AbstractGuiDriver.selectWindow(AbstractGuiDriver.java:1624)

        at com.goldencode.p2j.ui.client.widget.AbstractWidget.getTextWidth(AbstractWidget.java:2201)

        at com.goldencode.p2j.ui.client.widget.AbstractWidget.getTextWidthNative(AbstractWidget.java:1787)

        at com.goldencode.p2j.ui.client.gui.ButtonGuiImpl.width(ButtonGuiImpl.java:1254)

        at com.goldencode.p2j.ui.client.Button.<init>(Button.java:193)

        at com.goldencode.p2j.ui.client.gui.ButtonGuiImpl.<init>(ButtonGuiImpl.java:145)

        at com.goldencode.p2j.ui.client.gui.GuiWidgetFactory.createButton(GuiWidgetFactory.java:295)

        at com.goldencode.p2j.ui.client.gui.GuiWidgetFactory.createButton(GuiWidgetFactory.java:77)

        at com.goldencode.p2j.ui.client.AlertBoxCommons.createButton(AlertBoxCommons.java:379)

        at com.goldencode.p2j.ui.client.AlertBoxCommons.createButtonSet(AlertBoxCommons.java:182)

        at com.goldencode.p2j.ui.client.gui.AlertBoxGuiImpl.init(AlertBoxGuiImpl.java:274)

        at com.goldencode.p2j.ui.client.gui.AlertBoxGuiImpl.<init>(AlertBoxGuiImpl.java:118)

        at com.goldencode.p2j.ui.client.gui.GuiWidgetFactory.createAlertBox(GuiWidgetFactory.java:324)

        at com.goldencode.p2j.ui.client.gui.GuiWidgetFactory.createAlertBox(GuiWidgetFactory.java:77)

        at com.goldencode.p2j.ui.chui.ThinClient$12.run(ThinClient.java:6717)

        at com.goldencode.p2j.ui.chui.ThinClient.eventBracket(ThinClient.java:13696)

        at com.goldencode.p2j.ui.chui.ThinClient.eventBracket(ThinClient.java:13669)

        at com.goldencode.p2j.ui.chui.ThinClient.messageBox(ThinClient.java:6711)

        ... 21 more
#11 - 10/20/2015 01:17 PM - Hynek Cihlar

Greg Shah wrote:

OK, this is now the result.  It is the same as #2756 and #1811-1546

[...]

 

Fixed in 1811s revision 11002. See #1811 notes 1546, 1547.

#12 - 10/20/2015 04:21 PM - Greg Shah

- Status changed from New to Closed

#13 - 11/10/2015 05:02 AM - Greg Shah

- % Done changed from 0 to 100

#14 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
